create or replace package DOCX_ADDPARAGRAPH_ALIGNMENT is
   -- Required procedure
  procedure genDOCX;
 
  -- Required variable
  v_docx blob;
   
  
end DOCX_ADDPARAGRAPH_ALIGNMENT;
/
create or replace package body DOCX_ADDPARAGRAPH_ALIGNMENT is
/* 2016-JAN-26 10:33 */
/* PL/PDF REPORTER 3.7.0 */
l_paragraph1 pls_integer;
l_text_idx1 pls_integer;
l_paragraph2 pls_integer;
l_text_idx2 pls_integer;
l_paragraph3 pls_integer;
l_text_idx3 pls_integer;
l_paragraph4 pls_integer;
l_text_idx4 pls_integer;
l_paragraph5 pls_integer;
l_text_idx5 pls_integer;
l_paragraph6 pls_integer;
l_text_idx6 pls_integer;
l_paragraph7 pls_integer;
l_text_idx7 pls_integer;
l_paragraph8 pls_integer;
l_text_idx8 pls_integer;
l_paragraph9 pls_integer;
l_text_idx9 pls_integer;
procedure genDOCX is
 begin 
ploffx_docx.init( );
/* START PARAGRAPH */
l_paragraph1 := ploffx_docx.crParagraph();
l_text_idx1 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'AddParagraph_Alignment');
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph1);
/* START PARAGRAPH */
l_paragraph2 := ploffx_docx.crParagraph(p_alignment => 'right');
l_text_idx2 := ploffx_docx.addText( p_paragraph_id => l_paragraph2, p_text => 'Paragraph alignment: right', p_fontName => 'Arial', p_fontSize => 16);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph2);
/* START PARAGRAPH */
l_paragraph3 := ploffx_docx.crParagraph(p_alignment => 'right');
l_text_idx3 := ploffx_docx.addText( p_paragraph_id => l_paragraph3, p_text => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut placerat libero, eu lobortis ante. Suspendisse sagittis felis sem, a ullamcorper libero semper eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam semper mi orci, ultrices tincidunt magna ultricies quis. Ut sodales nisi ac tincidunt auctor. Mauris ac tellus massa. Fusce ornare porttitor orci, vitae ornare nulla congue eu. Quisque vehicula, nisl id vestibulum gravida, tellus metus sollicitudin tortor, dignissim semper tellus elit quis quam. Aenean placerat mi eu ligula blandit blandit. Curabitur ut volutpat sapien. Nullam sed nisl enim. Proin id cursus quam.', p_fontName => 'Arial', p_fontSize => 10);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph3);
/* START PARAGRAPH */
l_paragraph4 := ploffx_docx.crParagraph(p_alignment => 'left');
l_text_idx4 := ploffx_docx.addText( p_paragraph_id => l_paragraph4, p_text => 'Paragraph alignment: left', p_fontName => 'Arial', p_fontSize => 16);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph4);
/* START PARAGRAPH */
l_paragraph5 := ploffx_docx.crParagraph(p_alignment => 'left');
l_text_idx5 := ploffx_docx.addText( p_paragraph_id => l_paragraph5, p_text => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut placerat libero, eu lobortis ante. Suspendisse sagittis felis sem, a ullamcorper libero semper eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam semper mi orci, ultrices tincidunt magna ultricies quis. Ut sodales nisi ac tincidunt auctor. Mauris ac tellus massa. Fusce ornare porttitor orci, vitae ornare nulla congue eu. Quisque vehicula, nisl id vestibulum gravida, tellus metus sollicitudin tortor, dignissim semper tellus elit quis quam. Aenean placerat mi eu ligula blandit blandit. Curabitur ut volutpat sapien. Nullam sed nisl enim. Proin id cursus quam.', p_fontName => 'Arial', p_fontSize => 10);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph5);
/* START PARAGRAPH */
l_paragraph6 := ploffx_docx.crParagraph(p_alignment => 'center');
l_text_idx6 := ploffx_docx.addText( p_paragraph_id => l_paragraph6, p_text => 'Paragraph alignment: center', p_fontName => 'Arial', p_fontSize => 16);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph6);
/* START PARAGRAPH */
l_paragraph7 := ploffx_docx.crParagraph(p_alignment => 'center');
l_text_idx7 := ploffx_docx.addText( p_paragraph_id => l_paragraph7, p_text => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut placerat libero, eu lobortis ante. Suspendisse sagittis felis sem, a ullamcorper libero semper eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam semper mi orci, ultrices tincidunt magna ultricies quis. Ut sodales nisi ac tincidunt auctor. Mauris ac tellus massa. Fusce ornare porttitor orci, vitae ornare nulla congue eu. Quisque vehicula, nisl id vestibulum gravida, tellus metus sollicitudin tortor, dignissim semper tellus elit quis quam. Aenean placerat mi eu ligula blandit blandit. Curabitur ut volutpat sapien. Nullam sed nisl enim. Proin id cursus quam.', p_fontName => 'Arial', p_fontSize => 10);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph7);
/* START PARAGRAPH */
l_paragraph8 := ploffx_docx.crParagraph(p_alignment => 'both');
l_text_idx8 := ploffx_docx.addText( p_paragraph_id => l_paragraph8, p_text => 'Paragraph alignment: justify ', p_fontName => 'Arial', p_fontSize => 16);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph8);
/* START PARAGRAPH */
l_paragraph9 := ploffx_docx.crParagraph(p_alignment => 'both');
l_text_idx9 := ploffx_docx.addText( p_paragraph_id => l_paragraph9, p_text => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut placerat libero, eu lobortis ante. Suspendisse sagittis felis sem, a ullamcorper libero semper eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam semper mi orci, ultrices tincidunt magna ultricies quis. Ut sodales nisi ac tincidunt auctor. Mauris ac tellus massa. Fusce ornare porttitor orci, vitae ornare nulla congue eu. Quisque vehicula, nisl id vestibulum gravida, tellus metus sollicitudin tortor, dignissim semper tellus elit quis quam. Aenean placerat mi eu ligula blandit blandit. Curabitur ut volutpat sapien. Nullam sed nisl enim. Proin id cursus quam.', p_fontName => 'Arial', p_fontSize => 10);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph9);
ploffx_docx.getDoc( p_blob_file => v_Docx);
end;
end DOCX_ADDPARAGRAPH_ALIGNMENT;
/
